Bug 103429 - [drm:intel_dp_start_link_train [i915]] *ERROR* failed to get link status
Summary: [drm:intel_dp_start_link_train [i915]] *ERROR* failed to get link status
Status: CLOSED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-24 06:04 UTC by Anatol
Modified: 2019-02-26 08:47 UTC (History)
2 users (show)

See Also:
i915 platform: SKL
i915 features: power/suspend-resume


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anatol 2017-10-24 06:04:44 UTC
I have a CROSSOVER 324K UHD monitor. It is a great hardware but unfortunately it has an issue. At Linux when I try to wake it up sometimes it stays sleeping. In this case I see following message in my systemd logs:

Oct 23 22:34:24 argo kernel: [drm:intel_dp_start_link_train [i915]] *ERROR* failed to get link status
Oct 23 22:34:24 argo gnome-shell[747]: meta_monitor_manager_get_logical_monitor_from_number: assertion '(unsigned int) number < g_list_length (manager->
Oct 23 22:34:24 argo gnome-shell[747]: meta_workspace_get_work_area_for_monitor: assertion 'logical_monitor != NULL' failed
Oct 23 22:34:24 argo gnome-shell[747]: meta_monitor_manager_get_logical_monitor_from_number: assertion '(unsigned int) number < g_list_length (manager->
Oct 23 22:34:24 argo gnome-shell[747]: meta_workspace_get_work_area_for_monitor: assertion 'logical_monitor != NULL' failed
Oct 23 22:34:24 argo gnome-shell[747]: meta_monitor_manager_get_logical_monitor_from_number: assertion '(unsigned int) number < g_list_length (manager->
Oct 23 22:34:24 argo gnome-shell[747]: meta_workspace_get_work_area_for_monitor: assertion 'logical_monitor != NULL' failed
Oct 23 22:34:24 argo gnome-shell[747]: meta_monitor_manager_get_logical_monitor_from_number: assertion '(unsigned int) number < g_list_length (manager->
Oct 23 22:34:24 argo gnome-shell[747]: meta_workspace_get_work_area_for_monitor: assertion 'logical_monitor != NULL' failed
Oct 23 22:34:24 argo gnome-shell[747]: meta_monitor_manager_get_logical_monitor_from_number: assertion '(unsigned int) number < g_list_length (manager->
Oct 23 22:34:24 argo gnome-shell[747]: meta_workspace_get_work_area_for_monitor: assertion 'logical_monitor != NULL' failed
Oct 23 22:34:24 argo gnome-shell[747]: meta_monitor_manager_get_logical_monitor_from_number: assertion '(unsigned int) number < g_list_length (manager->
Oct 23 22:34:24 argo gnome-shell[747]: meta_workspace_get_work_area_for_monitor: assertion 'logical_monitor != NULL' failed

I have up-to-date Arch Linux with the latest mutter and following kernel:

$ uname -a
Linux argo 4.13.9-1-ARCH #1 SMP PREEMPT Sun Oct 22 09:07:32 CEST 2017 x86_64 GNU/Linux
Comment 1 Elizabeth 2017-10-24 14:56:14 UTC
Hello, could you please reproduce with drm.debug=0xe log_bug_len=2M on grub and attach full dmesg or kern.log? Thank you.
Comment 2 Anatol 2017-11-03 19:43:54 UTC
I've been trying to use my computer with i3 desktop manager (I believe it does not use Mutter). And I was able to get into "monitor does not wake up state". I believe it is the same as with Mutter crash before.

I have logs per your request. I see messages like this one

Nov 01 20:00:34 argo kernel: [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7d4003ff
Nov 01 20:00:34 argo kernel: [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7d4003ff
Nov 01 20:00:34 argo kernel: [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7d4003ff
Nov 01 20:00:34 argo kernel: [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7d4003ff
Nov 01 20:00:34 argo kernel: [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7d4003ff
Nov 01 20:00:34 argo kernel: [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7d4003ff
Nov 01 20:00:34 argo kernel: [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7d4003ff
Nov 01 20:00:34 argo kernel: [drm:drm_dp_dpcd_access [drm_kms_helper]] Too many retries, giving up. First error: -110
Nov 01 20:00:34 argo kernel: [drm:intel_dp_start_link_train [i915]] *ERROR* failed to enable link training
Nov 01 20:00:34 argo kernel: [drm:intel_dp_start_link_train [i915]] Link Training failed at link rate = 540000, lane count = 4




Here is the full log https://gist.githubusercontent.com/anatol/ef5d273506bea731d45066e2110211cd/raw/5d588032bc9f7b6dd435a2bccc3e0b0bbd4a9c0e/monitor_does_not_wakeup.txt
Comment 3 Anatol 2017-11-12 04:43:54 UTC
I keep testing it at Arch Linux and I clearly can reproduce this "monitor does not wakeup" issue. Here is what I do:

* My computer is idle for a while and monitor is off (monitor status LED is off)
* I move a mouse and try to bring the system to active state
* system tries to wakeup the monitor but it goes to sleeping state (statue LED is orange)
* I have to switch to another Linux desktop with Ctrl+Alt+N and then back to my main desktop with Ctrl+Alt+1
* Now monitor wakes up and shows me gdm login screen (monitor LED is green)
* I choose my user, enter password, the system suppose to log in into my i3 session
* The monitor shows "No Signal" label and then goes to sleep (orange LED)

In systemd logs I see i3 crash

Nov 11 20:30:39 argo /usr/lib/gdm/gdm-x-session[707]: 11/11/2017 08:30:39 PM - [libi3] ERROR: Surface 0x557cbdf3c670 is not initialized, skipping drawing.


Here are more logs from this crash https://gist.github.com/anatol/c7d58e6377cef45e057fe34f245df5e5
Comment 4 Elizabeth 2017-11-28 22:06:13 UTC
It seems that it is a fix for SKL firmware that may help your case, could you please try: 
https://bugs.freedesktop.org/show_bug.cgi?id=101991#c18
Comment 6 Jani Saarinen 2018-03-29 07:11:27 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 7 Jani Saarinen 2018-04-20 14:41:44 UTC
Closing, please re-open if still occurs.
Comment 8 Anatol 2018-08-26 18:09:00 UTC
I've been waiting for several months to see if new changes fix the issue. But unfortunately the issue still exist.

Is there any way to record the link traffic to debug the problem more easily?

Arch Linux, 4.18.5
Comment 9 Lakshmi 2018-09-04 10:23:06 UTC
Anatol, have you checked if this issue exists with latest drm-tip?
https://cgit.freedesktop.org/drm-tip
If exists, can you send dmesg with drm.debug=0x1e log_buf_len=4M?
Comment 10 Lakshmi 2018-10-17 16:06:27 UTC
Anatol, logs from latest drm-tip is needed and helpful for debugging. Can you provide those?
Comment 11 Lakshmi 2019-02-26 08:47:03 UTC
No feedback from more than two months. 
I assume this issue has been fixed, closing now. Feel free to reopen if the issue persists with latest drmtip. Remember to attach dmesg log from boot with kernel parameters.
(https://cgit.freedesktop.org/drm-tip).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.